curl --request PUT \ --url https://api.trata.ai/v1/actions/{action_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "name": "get_delivery_date", "parameters": false, "endpoint": { "url": "http://example.com/api/action", "method": "POST", "headers": "application/json", "payload": "123456" }, "description": "Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'", "userWaitingText": "Please wait while we get the delivery date for your order", "userSuccessText": "We have sent you an email with the delivery date", "userErrorText": "We are unable to get the delivery date for your order"}EOF
import requests
url = "https://api.trata.ai/v1/actions/{action_id}"
payload = {
"name": "get_delivery_date",
"parameters": False,
"endpoint": {
"url": "http://example.com/api/action",
"method": "POST",
"headers": "application/json",
"payload": "123456"
},
"description": "Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'",
"userWaitingText": "Please wait while we get the delivery date for your order",
"userSuccessText": "We have sent you an email with the delivery date",
"userErrorText": "We are unable to get the delivery date for your order"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'get_delivery_date',
parameters: false,
endpoint: {
url: 'http://example.com/api/action',
method: 'POST',
headers: 'application/json',
payload: '123456'
},
description: 'Get the delivery date for a customer\'s order. Call this whenever you need to know the delivery date, for example when a customer asks \'Where is my package\'',
userWaitingText: 'Please wait while we get the delivery date for your order',
userSuccessText: 'We have sent you an email with the delivery date',
userErrorText: 'We are unable to get the delivery date for your order'
})
};
fetch('https://api.trata.ai/v1/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trata.ai/v1/actions/{action_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'get_delivery_date',
'parameters' => false,
'endpoint' => [
'url' => 'http://example.com/api/action',
'method' => 'POST',
'headers' => 'application/json',
'payload' => '123456'
],
'description' => 'Get the delivery date for a customer\'s order. Call this whenever you need to know the delivery date, for example when a customer asks \'Where is my package\'',
'userWaitingText' => 'Please wait while we get the delivery date for your order',
'userSuccessText' => 'We have sent you an email with the delivery date',
'userErrorText' => 'We are unable to get the delivery date for your order'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trata.ai/v1/actions/{action_id}"
payload := strings.NewReader("{\n \"name\": \"get_delivery_date\",\n \"parameters\": false,\n \"endpoint\": {\n \"url\": \"http://example.com/api/action\",\n \"method\": \"POST\",\n \"headers\": \"application/json\",\n \"payload\": \"123456\"\n },\n \"description\": \"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'\",\n \"userWaitingText\": \"Please wait while we get the delivery date for your order\",\n \"userSuccessText\": \"We have sent you an email with the delivery date\",\n \"userErrorText\": \"We are unable to get the delivery date for your order\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://api.trata.ai/v1/actions/{action_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"get_delivery_date\",\n \"parameters\": false,\n \"endpoint\": {\n \"url\": \"http://example.com/api/action\",\n \"method\": \"POST\",\n \"headers\": \"application/json\",\n \"payload\": \"123456\"\n },\n \"description\": \"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'\",\n \"userWaitingText\": \"Please wait while we get the delivery date for your order\",\n \"userSuccessText\": \"We have sent you an email with the delivery date\",\n \"userErrorText\": \"We are unable to get the delivery date for your order\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.trata.ai/v1/actions/{action_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"get_delivery_date\",\n \"parameters\": false,\n \"endpoint\": {\n \"url\": \"http://example.com/api/action\",\n \"method\": \"POST\",\n \"headers\": \"application/json\",\n \"payload\": \"123456\"\n },\n \"description\": \"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'\",\n \"userWaitingText\": \"Please wait while we get the delivery date for your order\",\n \"userSuccessText\": \"We have sent you an email with the delivery date\",\n \"userErrorText\": \"We are unable to get the delivery date for your order\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "act.1234567890", "orgId": "org.1234567890", "name": "Webhook on call completion.", "description": "This action will be invoked when a call is completed. It will send a webhook to the specified url.", "parameters": {}, "endpoint": { "url": "https://webhook-endpoint.com", "method": "POST" }, "invocationTrigger": "webhook.conversation_en", "userWaitingText": "Please wait...", "userSuccessText": "Action completed successfully", "userErrorText": "An error occurred", "createdBy": "usr.1234567890", "createdAt": "2024-12-06T19:23:38.616711", "updatedBy": "usr.1234567890", "updatedAt": "2024-12-06T19:23:38.616714"}
curl --request PUT \ --url https://api.trata.ai/v1/actions/{action_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "name": "get_delivery_date", "parameters": false, "endpoint": { "url": "http://example.com/api/action", "method": "POST", "headers": "application/json", "payload": "123456" }, "description": "Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'", "userWaitingText": "Please wait while we get the delivery date for your order", "userSuccessText": "We have sent you an email with the delivery date", "userErrorText": "We are unable to get the delivery date for your order"}EOF
import requests
url = "https://api.trata.ai/v1/actions/{action_id}"
payload = {
"name": "get_delivery_date",
"parameters": False,
"endpoint": {
"url": "http://example.com/api/action",
"method": "POST",
"headers": "application/json",
"payload": "123456"
},
"description": "Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'",
"userWaitingText": "Please wait while we get the delivery date for your order",
"userSuccessText": "We have sent you an email with the delivery date",
"userErrorText": "We are unable to get the delivery date for your order"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'get_delivery_date',
parameters: false,
endpoint: {
url: 'http://example.com/api/action',
method: 'POST',
headers: 'application/json',
payload: '123456'
},
description: 'Get the delivery date for a customer\'s order. Call this whenever you need to know the delivery date, for example when a customer asks \'Where is my package\'',
userWaitingText: 'Please wait while we get the delivery date for your order',
userSuccessText: 'We have sent you an email with the delivery date',
userErrorText: 'We are unable to get the delivery date for your order'
})
};
fetch('https://api.trata.ai/v1/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trata.ai/v1/actions/{action_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'get_delivery_date',
'parameters' => false,
'endpoint' => [
'url' => 'http://example.com/api/action',
'method' => 'POST',
'headers' => 'application/json',
'payload' => '123456'
],
'description' => 'Get the delivery date for a customer\'s order. Call this whenever you need to know the delivery date, for example when a customer asks \'Where is my package\'',
'userWaitingText' => 'Please wait while we get the delivery date for your order',
'userSuccessText' => 'We have sent you an email with the delivery date',
'userErrorText' => 'We are unable to get the delivery date for your order'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trata.ai/v1/actions/{action_id}"
payload := strings.NewReader("{\n \"name\": \"get_delivery_date\",\n \"parameters\": false,\n \"endpoint\": {\n \"url\": \"http://example.com/api/action\",\n \"method\": \"POST\",\n \"headers\": \"application/json\",\n \"payload\": \"123456\"\n },\n \"description\": \"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'\",\n \"userWaitingText\": \"Please wait while we get the delivery date for your order\",\n \"userSuccessText\": \"We have sent you an email with the delivery date\",\n \"userErrorText\": \"We are unable to get the delivery date for your order\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://api.trata.ai/v1/actions/{action_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"get_delivery_date\",\n \"parameters\": false,\n \"endpoint\": {\n \"url\": \"http://example.com/api/action\",\n \"method\": \"POST\",\n \"headers\": \"application/json\",\n \"payload\": \"123456\"\n },\n \"description\": \"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'\",\n \"userWaitingText\": \"Please wait while we get the delivery date for your order\",\n \"userSuccessText\": \"We have sent you an email with the delivery date\",\n \"userErrorText\": \"We are unable to get the delivery date for your order\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.trata.ai/v1/actions/{action_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"get_delivery_date\",\n \"parameters\": false,\n \"endpoint\": {\n \"url\": \"http://example.com/api/action\",\n \"method\": \"POST\",\n \"headers\": \"application/json\",\n \"payload\": \"123456\"\n },\n \"description\": \"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'\",\n \"userWaitingText\": \"Please wait while we get the delivery date for your order\",\n \"userSuccessText\": \"We have sent you an email with the delivery date\",\n \"userErrorText\": \"We are unable to get the delivery date for your order\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "act.1234567890", "orgId": "org.1234567890", "name": "Webhook on call completion.", "description": "This action will be invoked when a call is completed. It will send a webhook to the specified url.", "parameters": {}, "endpoint": { "url": "https://webhook-endpoint.com", "method": "POST" }, "invocationTrigger": "webhook.conversation_en", "userWaitingText": "Please wait...", "userSuccessText": "Action completed successfully", "userErrorText": "An error occurred", "createdBy": "usr.1234567890", "createdAt": "2024-12-06T19:23:38.616711", "updatedBy": "usr.1234567890", "updatedAt": "2024-12-06T19:23:38.616714"}
Description about the action and it should also contain when the action should be triggered
Required string length: 1 - 512
Example:
"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'"
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Trata AI Docs","colors":{"primary":"#1B2B65","light":"#1B2B65","dark":"#1B2B65"},"favicon":"/logo/trata-favicon.png","logo":{"light":"https://mintcdn.com/trataai/SPPY3HegAe9Zg0w2/logo/trata-logo.png?fit=max\u0026auto=format\u0026n=SPPY3HegAe9Zg0w2\u0026q=85\u0026s=dc916789912d280a9265600a290d07f3","dark":"https://mintcdn.com/trataai/SPPY3HegAe9Zg0w2/logo/trata-logo.png?fit=max\u0026auto=format\u0026n=SPPY3HegAe9Zg0w2\u0026q=85\u0026s=dc916789912d280a9265600a290d07f3"},"appearance":{"default":"light","strict":true},"background":{"decoration":null,"color":{"light":"#F8F9FF","dark":"#F8F9FF"}},"navbar":{"links":[{"label":"Support","href":"mailto:support@trata.ai"}],"primary":{"type":"button","label":"Trata AI","href":"https://app.trata.ai"}},"footer":{"socials":{"x":"https://x.com/TrataAI","github":"https://github.com/TrataHQ","linkedin":"https://www.linkedin.com/company/trata-ai"}},"integrations":{"gtm":{"tagId":"GTM-MMGFFH3T"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Blogs","href":"https://www.trata.ai/blogs","icon":"newspaper"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"trataai","hasAudioNarration":false,"actualSubdomain":"trataai","customDomains":["docs.trata.ai"],"gitSource":{"type":"github","owner":"tratahq","repo":"trata-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e653328cd78292a4ee3e","collectionId":"8699b654-38f2-4333-ab4c-786b40966032","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21e653328cd78292a4ee3e:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API Reference","count":52},{"language":"default","tag":"Conversations","count":6},{"language":"default","tag":"Products","count":6},{"language":"default","tag":"Product","count":5},{"language":"default","tag":"Actions","count":5},{"language":"default","tag":"Agents","count":5},{"language":"default","tag":"Hive","count":5},{"language":"default","tag":"Prospects","count":5},{"language":"default","tag":"Features","count":4},{"language":"default","tag":"HiveAgentLink","count":4}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/actions/update-a-specific-action-by-id","slug":"/api-reference/actions/update-a-specific-action-by-id","pageMetadata":{"title":"Update a Specific Action by ID","description":"Update a Specific Action by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/actions/{action_id}","href":"/api-reference/actions/update-a-specific-action-by-id","autogeneratedByOpenApi":true,"hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update a Specific Action by ID\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update a Specific Action by ID","description":"Update a Specific Action by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/actions/{action_id}","href":"/api-reference/actions/update-a-specific-action-by-id","autogeneratedByOpenApi":true,"hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Actions"],"summary":"Update a Specific Action by ID","description":"Update a Specific Action by ID","operationId":"updateActionV1","security":["d700ef65-a18a-4aac-adf4-d11716297bfe"],"parameters":["2bcbc76c-afee-490b-9574-ab8f0923194d"],"requestBody":"aa09424e-9c92-4e09-8405-27ccaedef3fb","responses":{"200":"2564f27e-3e9a-4cda-9a0e-a707c3f2bb70","422":"d6452bf8-b807-46ef-8242-d44d4e11168b"},"method":"put","type":"path","servers":["2acda58c-d0b0-4bc5-9cb5-be578589f7f6","68199b5b-ad21-450f-8d3a-68adebc4b787"],"path":"/v1/actions/{action_id}","baseUrlOptions":["https://api.trata.ai","http://localhost:8000"],"title":"Update a Specific Action by ID","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2bcbc76c-afee-490b-9574-ab8f0923194d":{"name":"action_id","in":"path","required":true,"schema":{"type":"string","description":"ID of the action","title":"Action Id","isRequired":true,"uniqueKey":"","typeLabel":"string"},"description":"ID of the action"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"name":{"type":"string","maxLength":512,"minLength":1,"title":"Name","description":"Name of the action","example":"get_delivery_date","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"parameters":{"type":"object","title":"Parameters","description":"Parameters for the action. It should be a JSON schema object","example":false,"isRequired":true,"uniqueKey":"parameters","typeLabel":"Parameters · object"},"endpoint":{"oneOf":[{"type":"object","title":"HttpActionEndpoint","description":"Endpoint for the action","required":["url"],"properties":{"url":{"type":"string","maxLength":512,"minLength":1,"title":"Url","description":"Action endpoint URL","example":"http://example.com/api/action","isRequired":true,"uniqueKey":"endpoint.oneOf.0.url","typeLabel":"string"},"method":{"type":"string","enum":["GET","POST"],"maxLength":512,"minLength":1,"title":"Method","description":"Method to be used for invoking the endpoint","default":"POST","example":"POST","uniqueKey":"endpoint.oneOf.0.method","typeLabel":"enum\u003cstring>"},"headers":{"oneOf":[{"type":"object","title":"Headers","description":"Headers for the endpoint","maxProperties":512,"minProperties":0,"example":"application/json","uniqueKey":"endpoint.oneOf.0.headers.oneOf.0","typeLabel":"Headers · object"},{"type":"null","title":"Headers","description":"Headers for the endpoint","example":"application/json","uniqueKey":"endpoint.oneOf.0.headers.oneOf.1","typeLabel":"null"}],"uniqueKey":"endpoint.oneOf.0.headers","typeLabel":"Headers · object | null"},"payload":{"oneOf":[{"type":"object","title":"Payload","description":"Payload for the endpoint","maxProperties":512,"minProperties":0,"example":"123456","uniqueKey":"endpoint.oneOf.0.payload.oneOf.0","typeLabel":"Payload · object"},{"type":"null","title":"Payload","description":"Payload for the endpoint","example":"123456","uniqueKey":"endpoint.oneOf.0.payload.oneOf.1","typeLabel":"null"}],"uniqueKey":"endpoint.oneOf.0.payload","typeLabel":"Payload · object | null"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.0","typeLabel":"HttpActionEndpoint · object"},{"type":"object","title":"InternalActionEndpoint","description":"Internal action endpoint to be used for calling the action inside the module. Not used by external users","required":["module","function"],"properties":{"module":{"type":"string","maxLength":512,"minLength":1,"title":"Module","description":"Module where the action is defined","example":"trata.actions.get_delivery_date","isRequired":true,"uniqueKey":"endpoint.oneOf.1.module","typeLabel":"string"},"function":{"type":"string","maxLength":512,"minLength":1,"title":"Function","description":"Function to be called inside the module","example":"get_delivery_date","isRequired":true,"uniqueKey":"endpoint.oneOf.1.function","typeLabel":"string"}},"isRequired":true,"uniqueKey":"endpoint.oneOf.1","typeLabel":"InternalActionEndpoint · object"}],"isRequired":true,"uniqueKey":"endpoint","typeLabel":"HttpActionEndpoint · object | InternalActionEndpoint · object"},"invocationTrigger":{"type":"string","title":"ActionInvocationTrigger","description":"Trigger who invokes the action","enum":["user_query","webhook.conversation_start","webhook.conversation_end"],"isRequired":true,"uniqueKey":"invocationTrigger","typeLabel":"enum\u003cstring>"},"description":{"oneOf":[{"type":"string","title":"Description","description":"Description about the action and it should also contain when the action should be triggered","maxLength":512,"minLength":1,"example":"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"Description about the action and it should also contain when the action should be triggered","example":"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"userWaitingText":{"oneOf":[{"type":"string","title":"Userwaitingtext","description":"Text to be rendered to user when action is invoked","maxLength":2048,"minLength":0,"example":"Please wait while we get the delivery date for your order","uniqueKey":"userWaitingText.oneOf.0","typeLabel":"string"},{"type":"null","title":"Userwaitingtext","description":"Text to be rendered to user when action is invoked","example":"Please wait while we get the delivery date for your order","uniqueKey":"userWaitingText.oneOf.1","typeLabel":"null"}],"uniqueKey":"userWaitingText","typeLabel":"string | null"},"userSuccessText":{"oneOf":[{"type":"string","title":"Usersuccesstext","description":"Text to be rendered to user when action is successful","maxLength":2048,"minLength":0,"example":"We have sent you an email with the delivery date","uniqueKey":"userSuccessText.oneOf.0","typeLabel":"string"},{"type":"null","title":"Usersuccesstext","description":"Text to be rendered to user when action is successful","example":"We have sent you an email with the delivery date","uniqueKey":"userSuccessText.oneOf.1","typeLabel":"null"}],"uniqueKey":"userSuccessText","typeLabel":"string | null"},"userErrorText":{"oneOf":[{"type":"string","title":"Usererrortext","description":"Text to be rendered to user when action is not successful","maxLength":2048,"minLength":0,"example":"We are unable to get the delivery date for your order","uniqueKey":"userErrorText.oneOf.0","typeLabel":"string"},{"type":"null","title":"Usererrortext","description":"Text to be rendered to user when action is not successful","example":"We are unable to get the delivery date for your order","uniqueKey":"userErrorText.oneOf.1","typeLabel":"null"}],"uniqueKey":"userErrorText","typeLabel":"string | null"}},"type":"object","required":["name","parameters","endpoint","invocationTrigger"],"title":"Action","uniqueKey":"","typeLabel":"Action · object"},"examples":{"Example":{"title":"Example","value":{"name":"get_delivery_date","parameters":false,"endpoint":{"url":"http://example.com/api/action","method":"POST","headers":"application/json","payload":"123456"},"description":"Get the delivery date for a customer's order. Call this whenever you need to know the delivery date, for example when a customer asks 'Where is my package'","userWaitingText":"Please wait while we get the delivery date for your order","userSuccessText":"We have sent you an email with the delivery date","userErrorText":"We are unable to get the delivery date for your order"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"2564f27e-3e9a-4cda-9a0e-a707c3f2bb70":{"description":"Action updated successfully","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","title":"Id","uniqueKey":"id","typeLabel":"string"},"orgId":{"type":"string","title":"Orgid","uniqueKey":"orgId","typeLabel":"string"},"name":{"type":"string","title":"Name","uniqueKey":"name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","title":"Description","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"parameters":{"oneOf":[{"type":"object","title":"Parameters","uniqueKey":"parameters.oneOf.0","typeLabel":"Parameters · object"},{"type":"null","title":"Parameters","uniqueKey":"parameters.oneOf.1","typeLabel":"null"}],"uniqueKey":"parameters","typeLabel":"Parameters · object | null"},"endpoint":{"oneOf":[{"type":"object","title":"Endpoint","uniqueKey":"endpoint.oneOf.0","typeLabel":"Endpoint · object"},{"type":"null","title":"Endpoint","uniqueKey":"endpoint.oneOf.1","typeLabel":"null"}],"uniqueKey":"endpoint","typeLabel":"Endpoint · object | null"},"invocationTrigger":{"oneOf":[{"type":"string","title":"Invocationtrigger","uniqueKey":"invocationTrigger.oneOf.0","typeLabel":"string"},{"type":"null","title":"Invocationtrigger","uniqueKey":"invocationTrigger.oneOf.1","typeLabel":"null"}],"uniqueKey":"invocationTrigger","typeLabel":"string | null"},"userWaitingText":{"oneOf":[{"type":"string","title":"Userwaitingtext","uniqueKey":"userWaitingText.oneOf.0","typeLabel":"string"},{"type":"null","title":"Userwaitingtext","uniqueKey":"userWaitingText.oneOf.1","typeLabel":"null"}],"uniqueKey":"userWaitingText","typeLabel":"string | null"},"userSuccessText":{"oneOf":[{"type":"string","title":"Usersuccesstext","uniqueKey":"userSuccessText.oneOf.0","typeLabel":"string"},{"type":"null","title":"Usersuccesstext","uniqueKey":"userSuccessText.oneOf.1","typeLabel":"null"}],"uniqueKey":"userSuccessText","typeLabel":"string | null"},"userErrorText":{"oneOf":[{"type":"string","title":"Usererrortext","uniqueKey":"userErrorText.oneOf.0","typeLabel":"string"},{"type":"null","title":"Usererrortext","uniqueKey":"userErrorText.oneOf.1","typeLabel":"null"}],"uniqueKey":"userErrorText","typeLabel":"string | null"},"createdBy":{"type":"string","title":"Createdby","uniqueKey":"createdBy","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","title":"Createdat","uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"updatedBy":{"type":"string","title":"Updatedby","uniqueKey":"updatedBy","typeLabel":"string"},"updatedAt":{"type":"string","format":"date-time","title":"Updatedat","uniqueKey":"updatedAt","typeLabel":"string\u003cdate-time>"}},"type":"object","title":"Action","description":"Action entity to store the actions which can be performed by ai agents","uniqueKey":"","typeLabel":"Action · object"},"example":{"id":"act.1234567890","orgId":"org.1234567890","name":"Webhook on call completion.","description":"This action will be invoked when a call is completed. It will send a webhook to the specified url.","parameters":{},"endpoint":{"url":"https://webhook-endpoint.com","method":"POST"},"invocationTrigger":"webhook.conversation_en","userWaitingText":"Please wait...","userSuccessText":"Action completed successfully","userErrorText":"An error occurred","createdBy":"usr.1234567890","createdAt":"2024-12-06T19:23:38.616711","updatedBy":"usr.1234567890","updatedAt":"2024-12-06T19:23:38.616714"},"examples":{"Example":{"title":"Example","value":{"id":"act.1234567890","orgId":"org.1234567890","name":"Webhook on call completion.","description":"This action will be invoked when a call is completed. It will send a webhook to the specified url.","parameters":{},"endpoint":{"url":"https://webhook-endpoint.com","method":"POST"},"invocationTrigger":"webhook.conversation_en","userWaitingText":"Please wait...","userSuccessText":"Action completed successfully","userErrorText":"An error occurred","createdBy":"usr.1234567890","createdAt":"2024-12-06T19:23:38.616711","updatedBy":"usr.1234567890","updatedAt":"2024-12-06T19:23:38.616714"}}},"exampleType":"examples"}},"exampleType":"examples"},"d6452bf8-b807-46ef-8242-d44d4e11168b":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"d700ef65-a18a-4aac-adf4-d11716297bfe":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{"2acda58c-d0b0-4bc5-9cb5-be578589f7f6":{"url":"https://api.trata.ai","description":"Production"},"68199b5b-ad21-450f-8d3a-68adebc4b787":{"url":"http://localhost:8000","description":"Development"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"openapi.json"},"subdomain":"trataai","siteName":"Trata AI Docs","title":"Update a Specific Action by ID - Trata AI Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T03:54:42.816Z","originalFileLocation":"api-reference/actions/update-a-specific-action-by-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update a Specific Action by ID\">\u003cmeta data-mint-head name=\"application-name\" content=\"Trata AI Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update a Specific Action by ID - Trata AI Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update a Specific Action by ID\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Trata AI Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://trataai.mintlify.app/_mintlify/api/og/v2?division=Actions\u0026amp;title=Update+a+Specific+Action+by+ID\u0026amp;description=Update+a+Specific+Action+by+ID\u0026amp;theme=3b98d4ceb3f796ea1ffc0506\u0026amp;signature=4b0d33c0aca032c6bdb5b4d2affce45a350b308c5a068f28f6fa6b562a349a2f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update a Specific Action by ID - Trata AI Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update a Specific Action by ID\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://trataai.mintlify.app/_mintlify/api/og/v2?division=Actions\u0026amp;title=Update+a+Specific+Action+by+ID\u0026amp;description=Update+a+Specific+Action+by+ID\u0026amp;theme=3b98d4ceb3f796ea1ffc0506\u0026amp;signature=4b0d33c0aca032c6bdb5b4d2affce45a350b308c5a068f28f6fa6b562a349a2f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/trataai/mDNWnVxajc-m_HYK/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Trata AI Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#1B2B65\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/actions/update-a-specific-action-by-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.trata.ai/#organization\",\"name\":\"Trata AI Docs\",\"url\":\"https://docs.trata.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/trataai/SPPY3HegAe9Zg0w2/logo/trata-logo.png?fit=max\u0026auto=format\u0026n=SPPY3HegAe9Zg0w2\u0026q=85\u0026s=dc916789912d280a9265600a290d07f3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.trata.ai#website\",\"name\":\"Trata AI Docs\",\"url\":\"https://docs.trata.ai\",\"publisher\":{\"@id\":\"https://docs.trata.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id#webpage\",\"url\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id\",\"name\":\"Update a Specific Action by ID\",\"description\":\"Update a Specific Action by ID\",\"dateModified\":\"2026-01-07T03:54:42.816Z\",\"isPartOf\":{\"@id\":\"https://docs.trata.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Actions\",\"item\":\"https://docs.trata.ai/api-reference/actions/list-all-actions-under-the-user\u0026#39;s-organization\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update a Specific Action by ID\",\"item\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id#apireference\",\"headline\":\"Update a Specific Action by ID\",\"name\":\"Update a Specific Action by ID\",\"description\":\"Update a Specific Action by ID\",\"url\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id\",\"mainEntityOfPage\":{\"@id\":\"https://docs.trata.ai/api-reference/actions/update-a-specific-action-by-id#webpage\"},\"dateModified\":\"2026-01-07T03:54:42.816Z\",\"publisher\":{\"@id\":\"https://docs.trata.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.trata.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Trata AI Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Trata AI Docs","nav":{"global":{"anchors":[{"anchor":"Blogs","href":"https://www.trata.ai/blogs","icon":"newspaper"}]},"tabs":[{"tab":"Product","pages":[{"title":"Product","href":"/home-page/quickstart"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/Introduction"},{"title":null,"href":"/api-reference/API-Architecture"},{"title":null,"href":"/api-reference/API-Entities"}]},{"group":"Analytics","pages":[{"title":"Get Metrics","deprecated":null,"version":null,"openapi":"openapi.json post /v1/metrics","href":"/api-reference/analytics/get-metrics"},{"title":"Get Aggregated Stats","deprecated":null,"version":null,"openapi":"openapi.json get /v1/stats","href":"/api-reference/analytics/get-aggregated-stats"}]},{"group":"Prospects","pages":[{"title":"List All Prospects","deprecated":null,"version":null,"openapi":"openapi.json get /v1/prospects","href":"/api-reference/prospects/list-all-prospects"},{"title":"Create a New Prospect","deprecated":null,"version":null,"openapi":"openapi.json post /v1/prospects","href":"/api-reference/prospects/create-a-new-prospect"},{"title":"Get a Specific Prospect by ID","deprecated":null,"version":null,"openapi":"openapi.json get /v1/prospects/{prospect_id}","href":"/api-reference/prospects/get-a-specific-prospect-by-id"},{"title":"Update a Specific Prospect by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/prospects/{prospect_id}","href":"/api-reference/prospects/update-a-specific-prospect-by-id"},{"title":"Delete a Specific Prospect by ID","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/prospects/{prospect_id}","href":"/api-reference/prospects/delete-a-specific-prospect-by-id"}]},{"group":"Agents","pages":[{"title":"List All AI Agents","deprecated":null,"version":null,"openapi":"openapi.json get /v1/ai-agents","href":"/api-reference/agents/list-all-ai-agents"},{"title":"Create a New AI Agent","deprecated":null,"version":null,"openapi":"openapi.json post /v1/ai-agents","href":"/api-reference/agents/create-a-new-ai-agent"},{"title":"Get a Specific AI Agent by ID","deprecated":null,"version":null,"openapi":"openapi.json get /v1/ai-agents/{agent_id}","href":"/api-reference/agents/get-a-specific-ai-agent-by-id"},{"title":"Update a Specific AI Agent by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/ai-agents/{agent_id}","href":"/api-reference/agents/update-a-specific-ai-agent-by-id"},{"title":"Delete a Specific AI Agent by ID","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/ai-agents/{agent_id}","href":"/api-reference/agents/delete-a-specific-ai-agent-by-id"}]},{"group":"VoiceModels","pages":[{"title":"Get list of voices available for calls","deprecated":null,"version":null,"openapi":"openapi.json get /v1/voice-models","href":"/api-reference/voicemodels/get-list-of-voices-available-for-calls"}]},{"group":"Hive","pages":[{"title":"List All Hives","deprecated":null,"version":null,"openapi":"openapi.json get /v1/hives","href":"/api-reference/hive/list-all-hives"},{"title":"Create a New Hive","deprecated":null,"version":null,"openapi":"openapi.json post /v1/hives","href":"/api-reference/hive/create-a-new-hive"},{"title":"Get a Specific Hive by ID","deprecated":null,"version":null,"openapi":"openapi.json get /v1/hives/{hive_id}","href":"/api-reference/hive/get-a-specific-hive-by-id"},{"title":"Update a Specific Hive by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/hives/{hive_id}","href":"/api-reference/hive/update-a-specific-hive-by-id"},{"title":"Delete a Specific Hive by ID","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/hives/{hive_id}","href":"/api-reference/hive/delete-a-specific-hive-by-id"}]},{"group":"HiveAgentLink","pages":[{"title":"Create a Link Between a Hive and an Agent","deprecated":null,"version":null,"openapi":"openapi.json post /v1/hives/{hive_id}/ai-agents/{agent_id}/link","href":"/api-reference/hiveagentlink/create-a-link-between-a-hive-and-an-agent"},{"title":"Delete a Link Between a Hive and an Agent","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/hives/{hive_id}/ai-agents/{agent_id}/link","href":"/api-reference/hiveagentlink/delete-a-link-between-a-hive-and-an-agent"},{"title":"List All Hives Linked to a Specific Agent","deprecated":null,"version":null,"openapi":"openapi.json get /v1/ai-agents/{agent_id}/hives","href":"/api-reference/hiveagentlink/list-all-hives-linked-to-a-specific-agent"},{"title":"List All Agents Linked to a Specific Hive","deprecated":null,"version":null,"openapi":"openapi.json get /v1/hives/{hive_id}/ai-agents","href":"/api-reference/hiveagentlink/list-all-agents-linked-to-a-specific-hive"}]},{"group":"Actions","pages":[{"title":"List All Actions Under the User\u0026#39;s Organization","deprecated":null,"version":null,"openapi":"openapi.json get /v1/actions","href":"/api-reference/actions/list-all-actions-under-the-user\u0026#39;s-organization"},{"title":"Create a New Action","deprecated":null,"version":null,"openapi":"openapi.json post /v1/actions","href":"/api-reference/actions/create-a-new-action"},{"title":"Get a Specific Action by ID","description":"Get a Specific Action by ID","deprecated":null,"version":null,"openapi":"openapi.json get /v1/actions/{action_id}","href":"/api-reference/actions/get-a-specific-action-by-id"},{"title":"Update a Specific Action by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/actions/{action_id}","href":"/api-reference/actions/update-a-specific-action-by-id"},{"title":"Delete a Specific Action by ID","description":"Delete a Specific Action by ID","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/actions/{action_id}","href":"/api-reference/actions/delete-a-specific-action-by-id"}]},{"group":"ActionAgentLink","pages":[{"title":"Create a Link Between an Action and an Agent","deprecated":null,"version":null,"openapi":"openapi.json post /v1/actions/{action_id}/ai-agents/{agent_id}/link","href":"/api-reference/actionagentlink/create-a-link-between-an-action-and-an-agent"},{"title":"Delete a Link Between an Action and an Agent","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/actions/{action_id}/ai-agents/{agent_id}/link","href":"/api-reference/actionagentlink/delete-a-link-between-an-action-and-an-agent"},{"title":"List All Actions Linked to a Specific Agent","deprecated":null,"version":null,"openapi":"openapi.json get /v1/ai-agents/{agent_id}/actions","href":"/api-reference/actionagentlink/list-all-actions-linked-to-a-specific-agent"}]},{"group":"Products","pages":[{"title":"List All Products","deprecated":null,"version":null,"openapi":"openapi.json get /v1/products","href":"/api-reference/products/list-all-products"},{"title":"Create a New Product","deprecated":null,"version":null,"openapi":"openapi.json post /v1/products","href":"/api-reference/products/create-a-new-product"},{"title":"Get a Specific Product by ID","deprecated":null,"version":null,"openapi":"openapi.json get /v1/products/{product_id}","href":"/api-reference/products/get-a-specific-product-by-id"},{"title":"Update a Specific Product by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/products/{product_id}","href":"/api-reference/products/update-a-specific-product-by-id"},{"title":"Delete a Specific Product by ID","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/products/{product_id}","href":"/api-reference/products/delete-a-specific-product-by-id"},{"title":"List All Agents Linked to a Specific Product","deprecated":null,"version":null,"openapi":"openapi.json get /v1/products/{product_id}/agents","href":"/api-reference/products/list-all-agents-linked-to-a-specific-product"}]},{"group":"Conversations","pages":[{"title":"List All Conversations","deprecated":null,"version":null,"openapi":"openapi.json get /v1/conversations","href":"/api-reference/conversations/list-all-conversations"},{"title":"Create a New Conversation","deprecated":null,"version":null,"openapi":"openapi.json post /v1/conversations","href":"/api-reference/conversations/create-a-new-conversation"},{"title":"Get a Specific Conversation by ID","deprecated":null,"version":null,"openapi":"openapi.json get /v1/conversations/{conversation_id}","href":"/api-reference/conversations/get-a-specific-conversation-by-id"},{"title":"Update a Specific Conversation by ID","deprecated":null,"version":null,"openapi":"openapi.json put /v1/conversations/{conversation_id}","href":"/api-reference/conversations/update-a-specific-conversation-by-id"},{"title":"Delete a Specific Conversation by ID","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/conversations/{conversation_id}","href":"/api-reference/conversations/delete-a-specific-conversation-by-id"},{"title":"Add Feedback to a Specific Conversation","deprecated":null,"version":null,"openapi":"openapi.json post /v1/conversations/{conversation_id}/feedback","href":"/api-reference/conversations/add-feedback-to-a-specific-conversation"}]},{"group":"ConversationProspectLink","pages":[{"title":"Create a link between a conversation and a prospect","deprecated":null,"version":null,"openapi":"openapi.json post /v1/conversations/{conversation_id}/prospects/{prospect_id}/links","href":"/api-reference/conversationprospectlink/create-a-link-between-a-conversation-and-a-prospect"},{"title":"Delete a link between a conversation and a prospect","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/conversations/{conversation_id}/prospects/{prospect_id}/links","href":"/api-reference/conversationprospectlink/delete-a-link-between-a-conversation-and-a-prospect"},{"title":"List all conversations linked to a specific prospect","deprecated":null,"version":null,"openapi":"openapi.json get /v1/prospects/{prospect_id}/conversations","href":"/api-reference/conversationprospectlink/list-all-conversations-linked-to-a-specific-prospect"}]},{"group":"Files","pages":[{"title":"Upload Files","deprecated":null,"version":null,"openapi":"openapi.json post /v1/files","href":"/api-reference/files/upload-files"},{"title":"Delete Files","deprecated":null,"version":null,"openapi":"openapi.json delete /v1/files","href":"/api-reference/files/delete-files"}]},{"group":"Data Plane","pages":[{"title":"Create Connection","deprecated":null,"version":null,"openapi":"openapi.json post /v1/connections","href":"/api-reference/data-plane/create-connection"},{"title":"Get Audio Stream XML For Plivo","deprecated":null,"version":null,"openapi":"openapi.json get /v1/connections/{connection_id}/plivo-audio-stream-xml","href":"/api-reference/data-plane/get-audio-stream-xml-for-plivo"}]},{"group":"Health","pages":[{"title":"Heart Beat Check For Trata Backend","deprecated":null,"version":null,"openapi":"openapi.json get /status","href":"/api-reference/health/heart-beat-check-for-trata-backend"}]}]},{"tab":"Change Log","pages":[{"title":"Change Log","href":"/changelog/overview"}]}]},"basePath":"","title":"Update a Specific Action by ID - Trata AI Docs","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}